Package org.springframework.security.authentication

# Interface AuthenticationEventPublisher

All Known Implementing Classes:
  `DefaultAuthenticationEventPublisher`

public interface AuthenticationEventPublisher

Since:
  3.0

## Method Summary

Modifier and Type
Method
Description
`void`
`publishAuthenticationFailure(AuthenticationException exception, Authentication authentication)`
`void`
`publishAuthenticationSuccess(Authentication authentication)`

## Method Details

### publishAuthenticationSuccess

void publishAuthenticationSuccess(Authentication authentication)

### publishAuthenticationFailure

void publishAuthenticationFailure(AuthenticationException exception, Authentication authentication)